## org.eclipse.datatools.enablement.ase.ddl
Class ASEDdlUtils

    java.lang.Object
      org.eclipse.datatools.enablement.ase.ddl.ASEDdlUtils

All Implemented Interfaces:
  ISybaseASEDdlConstants, ISybaseDdlConstants, IGenericDdlConstants

    public class ASEDdlUtils

extends java.lang.Object
implements IGenericDdlConstants, ISybaseASEDdlConstants

Field Summary

Fields inherited from interface org.eclipse.datatools.enablement.sybase.IGenericDdlConstants

`ADD, AFTER, ALIAS, ALTER, AS, BEFORE, BLOB, CASCADE, CASCADED, CHECK, CLOB, COMMA, COMPARISONS, CONSTRAINT, CREATE, DATALINK, DBCLOB, DEFAULT, DEFERRABLE, DEFERRED, DELETE, DOT, DOUBLE_QUOTE, DROP, EACH, EMPTY_STRING, FOR, FOREIGN_KEY, FUNCTION, INDEX, INITIALLY, INSERT, INSTEAD_OF, LEFT_PARENTHESIS, LOCAL, LONG, MODIFY, NEW, NEW_TABLE, NEWLINE, NO, NOT, NULL, OF, OLD, OLD_TABLE, ON, OPTION, PRIMARY_KEY, PROCEDURE, REFERENCES, REFERENCING, RENAME, RESTRICT, RIGHT_PARENTHESIS, ROW, SET, SINGLE_QUOTE, SPACE, STATEMENT, TAB, TABLE, TRIGGER, TYPE, UNIQUE, UPDATE, VARCHAR, VARGRAPHIC, VIEW, WHEN, WITH`

Fields inherited from interface org.eclipse.datatools.enablement.ase.ISybaseASEDdlConstants

`ACCESS, ACCESSRULE, ALL, ALLOW_DUPLICATE_ROW, ALLPAGES, AND, BY, COLUMN_DELIMITER, CONCURRENCY_OPT_THRESHOLD, CONSUMERS, DATABASE_OWNER, DATAPAGES, DATAROWS, DEFAULT_LOCATION, DISABLE, ENABLE, EXEC, EXISTING, EXP_ROW_SIZE, FILLFACTOR, FUTUREONLY, HASH, IDENTITY, IDENTITY_GAP, IGNORE_DUPLICATE_KEY, IGNORE_DUPLICATE_ROW, LESSEQUAL, LIST, LOAD, LOCAL_INDEX, LOCK, master, MATCHFULL, MATERIALIZED, MAX_ROWS_PER_PAGE, MODIFIES_SQL_DATA, MODIFY, MRU, OFF, OR, OVERRIDE, PARTITION, PREFETCH, PROXY_UPDATE, RANGE, REPLACE, RESERVEPAGEGAP, ROUNDROBIN, RULE, SETUSER, SORTED_DATA, SP_ADDGROUP, SP_ADDOBJECTDEF, SP_ADDSEGMENT, SP_ADDTYPE, SP_ADDUSER, SP_BINDCACHE, SP_BINDEFAULT, SP_BINDRULE, SP_CACHESTRATEGY, SP_CHANGEGROUP, SP_CHGATTRIBUTE, SP_DROPGROUP, SP_DROPOBJECTDEF, SP_DROPSEGMENT, SP_DROPTYPE, SP_DROPUSER, SP_EXTENDSEGMENT, SP_PLACEOBJECT, SP_RENAME, SP_UNBINDEFAULT, SP_UNBINDRULE, SP_WEBSERVICES, STATISTICS_USING, TABLE_ONLY, TEXT_ONLY, USE, VALUES`

Fields inherited from interface org.eclipse.datatools.enablement.sybase.ddl.ISybaseDdlConstants

`ALTER_PRIVILEGE, ASC, AT, BEGIN, CAST, CHECKOPTION, CLUSTERED, COLUMN, COMMENT, COMMIT, DATABASE, DELETE_PRIVILEGE, DESC, END, END_IF, EQUAL, EVENT, EXEC_PRIVILEGE, EXISTS, EXTERNAL, EXTERNAL_NAME, FILE, FROM, GO, GO_FOR, GRANT, IF, IN, INOUT, INSERT_PRIVILEGE, IS, JAVA, LOCATOR, LOG, MESSAGE, NONCLUSTERED, OUT, OUTPUT, REFERENCE_PRIVILEGE, REFERENCES_PRIVILEGE, REMOVE, REVOKE, SELECT_PRIVILEGE, SEMICOLUMN, THEN, TO, UPDATE_PRIVILEGE, WITH_GRANT_OPTION, WITH_RECOMPILE`

Constructor Summary
`ASEDdlUtils()`

Method Summary
`static java.lang.String[]` `getAllCacheStatement(SybaseASEIndex index, boolean qualifyNames, boolean fullSyntax, org.eclipse.datatools.sqltools.core.DatabaseIdentifier dbId)`
`static java.lang.String` `getCacheBindStatement(java.lang.String cache, Index index, boolean qualifyNames, boolean fullSyntax, org.eclipse.datatools.sqltools.core.DatabaseIdentifier dbId)` Get cache binding statement
`static java.lang.String` `getCacheStrategyStatement(java.lang.String stragegy, Index index, boolean on, org.eclipse.datatools.sqltools.core.DatabaseIdentifier dbId)` Get Cache strategy statement
`static java.lang.String` `getChangeAttributeStatement(java.lang.String object, java.lang.String attribute, java.lang.String value)` Get change attributes statments
`static java.lang.String` `getIndexMember(boolean quoteIdentifiers, IndexMember member, boolean hasComma)` Get the index member
`static java.lang.String` `getIndexMemberKeys(org.eclipse.emf.common.util.EList members, boolean quoteIdentifiers)`
`static java.lang.String` `getPartitionName(SybaseASEIndex index, boolean quoteIdentifiers, boolean qualifyNames)` Get partition name

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASEDdlUtils

    public ASEDdlUtils()

Method Detail

### getCacheBindStatement

    public static java.lang.String getCacheBindStatement(java.lang.String cache,
                                                         Index index,
                                                         boolean qualifyNames,
                                                         boolean fullSyntax,
                                                         org.eclipse.datatools.sqltools.core.DatabaseIdentifier dbId)

  Get cache binding statement

  Parameters:
    `cache` - Cache name
    `index` - Index model
  Returns:
    Cache binding statment

### getChangeAttributeStatement

    public static java.lang.String getChangeAttributeStatement(java.lang.String object,
                                                               java.lang.String attribute,
                                                               java.lang.String value)

  Get change attributes statments

  Parameters:
    `object` -
    `attribute` - Attribute
    `value` - Attribute value
  Returns:
    the change attribute statment

### getPartitionName

    public static java.lang.String getPartitionName(SybaseASEIndex index,
                                                    boolean quoteIdentifiers,
                                                    boolean qualifyNames)

  Get partition name

  Parameters:
    `index` -
    `quoteIdentifiers` - quoted identifier
    `qualifyNames` - qualified
  Returns:
    partition name

### getAllCacheStatement

    public static java.lang.String[] getAllCacheStatement(SybaseASEIndex index,
                                                          boolean qualifyNames,
                                                          boolean fullSyntax,
                                                          org.eclipse.datatools.sqltools.core.DatabaseIdentifier dbId)

### getCacheStrategyStatement

    public static java.lang.String getCacheStrategyStatement(java.lang.String stragegy,
                                                             Index index,
                                                             boolean on,
                                                             org.eclipse.datatools.sqltools.core.DatabaseIdentifier dbId)

  Get Cache strategy statement

  Parameters:
    `stragegy` -
    `index` -
    `on` -
  Returns:

### getIndexMemberKeys

    public static java.lang.String getIndexMemberKeys(org.eclipse.emf.common.util.EList members,
                                                      boolean quoteIdentifiers)

### getIndexMember

    public static java.lang.String getIndexMember(boolean quoteIdentifiers,
                                                  IndexMember member,
                                                  boolean hasComma)

  Get the index member

  Parameters:
    `quoteIdentifiers` - quoted identifier option
    `member` - index member
    `hasComma` - comma flag
  Returns: